From 0fe6ca2c444c4134d76382e8315173d0d001d83d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 16 2020 01:34:30 +0000
Subject: [PATCH 1417/2232] Add ui test with explicit Unpin impl


---

diff --git a/tests/ui/unpin_impl.rs b/tests/ui/unpin_impl.rs
new file mode 100644
index 0000000..e10cc72
--- /dev/null
+++ b/tests/ui/unpin_impl.rs
@@ -0,0 +1,12 @@
+use std::marker::Unpin;
+
+#[cxx::bridge]
+mod ffi {
+    extern "C++" {
+        type Opaque;
+    }
+}
+
+impl Unpin for ffi::Opaque {}
+
+fn main() {}

